Package com.sun.jna.platform.win32

## Class WinCrypt.CERT_CHAIN_ELEMENT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_CHAIN_ELEMENT

Direct Known Subclasses:
  `WinCrypt.CERT_CHAIN_ELEMENT.ByReference`

Enclosing interface:
  WinCrypt

    @FieldOrder({"cbSize","pCertContext","TrustStatus","pRevocationInfo","pIssuanceUsage","pApplicationUsage","pwszExtendedErrorInfo"})
    public static class WinCrypt.CERT_CHAIN_ELEMENT
    extends Structure

The CERT_CHAIN_ELEMENT structure is a single element in a simple certificate chain. Each element has a pointer to a certificate context, a pointer to a structure that indicates the error status and information status of the certificate, and a pointer to a structure that indicates the revocation status of the certificate.

See Also:
  MSDN

### Nested Class Summary

Nested Classes
`static class` `WinCrypt.CERT_CHAIN_ELEMENT.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cbSize`
`WinCrypt.CTL_USAGE.ByReference` `pApplicationUsage`
`WinCrypt.CERT_CONTEXT.ByReference` `pCertContext`
`WinCrypt.CTL_USAGE.ByReference` `pIssuanceUsage`
`WinCrypt.CERT_REVOCATION_INFO.ByReference` `pRevocationInfo`
`java.lang.String` `pwszExtendedErrorInfo`
`WinCrypt.CERT_TRUST_STATUS` `TrustStatus`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`CERT_CHAIN_ELEMENT()`
`CERT_CHAIN_ELEMENT​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cbSize

    public int cbSize

#### pCertContext

    public WinCrypt.CERT_CONTEXT.ByReference pCertContext

#### TrustStatus

    public WinCrypt.CERT_TRUST_STATUS TrustStatus

#### pRevocationInfo

    public WinCrypt.CERT_REVOCATION_INFO.ByReference pRevocationInfo

#### pIssuanceUsage

    public WinCrypt.CTL_USAGE.ByReference pIssuanceUsage

#### pApplicationUsage

    public WinCrypt.CTL_USAGE.ByReference pApplicationUsage

#### pwszExtendedErrorInfo

    public java.lang.String pwszExtendedErrorInfo

### Constructor Detail

#### CERT_CHAIN_ELEMENT

    public CERT_CHAIN_ELEMENT()

#### CERT_CHAIN_ELEMENT

    public CERT_CHAIN_ELEMENT​(Pointer p)